Trigger Action
POST/uploads/{uploadId}/action
Trigger an action on upload
Trigger Action
curl https://api.cloud.scenario.com/v1/uploads/$UPLOAD_ID/action \
-H 'Content-Type: application/json' \
-u "$SCENARIO_SDK_API_KEY:SCENARIO_SDK_API_SECRET" \
-d '{
"action": "complete"
}'{
"upload": {
"id": "id",
"authorId": "authorId",
"createdAt": "createdAt",
"fileName": "fileName",
"kind": "3d",
"ownerId": "ownerId",
"source": "civitai",
"status": "complete",
"updatedAt": "updatedAt",
"assetOptions": {
"collectionIds": [
"string"
],
"hide": true,
"parentId": "parentId"
},
"config": {},
"contentType": "contentType",
"entityId": "entityId",
"errorMessage": "errorMessage",
"fileSize": 0,
"jobId": "jobId",
"originalFileName": "originalFileName",
"parts": [
{
"expires": "expires",
"number": 0,
"url": "url"
}
],
"partsCount": 0,
"provider": "civitai",
"url": "url"
}
}Returns Examples
{
"upload": {
"id": "id",
"authorId": "authorId",
"createdAt": "createdAt",
"fileName": "fileName",
"kind": "3d",
"ownerId": "ownerId",
"source": "civitai",
"status": "complete",
"updatedAt": "updatedAt",
"assetOptions": {
"collectionIds": [
"string"
],
"hide": true,
"parentId": "parentId"
},
"config": {},
"contentType": "contentType",
"entityId": "entityId",
"errorMessage": "errorMessage",
"fileSize": 0,
"jobId": "jobId",
"originalFileName": "originalFileName",
"parts": [
{
"expires": "expires",
"number": 0,
"url": "url"
}
],
"partsCount": 0,
"provider": "civitai",
"url": "url"
}
}